package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 帮办事对象 szxc_help
 *
 * @author hs
 * @date 2024-04-15
 */
public class SzxcHelp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 提报人 */
    @Excel(name = "提报人")
    private String subName;

    /** 提报日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提报日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date subDate;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 事项类型 */
    @Excel(name = "事项类型")
    private String sbType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 事项描述 */
    @Excel(name = "事项描述")
    private String content;

    /** 处理进度(字典) */
    @Excel(name = "处理进度(字典)")
    private String helpStatus;

    /** 处理部门 */
    @Excel(name = "处理部门")
    private String handleDept;

    /** 处理部门id */
    @Excel(name = "处理部门id")
    private Long handleDeptid;

    /** 处理人 */
    @Excel(name = "处理人")
    private String handleName;

    /** 处理结果 */
    @Excel(name = "处理结果")
    private String handleResult;

    /** 处理原由 */
    @Excel(name = "处理原由")
    private String handleReason;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubName(String subName)
    {
        this.subName = subName;
    }

    public String getSubName()
    {
        return subName;
    }
    public void setSubDate(Date subDate)
    {
        this.subDate = subDate;
    }

    public Date getSubDate()
    {
        return subDate;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setSbType(String sbType)
    {
        this.sbType = sbType;
    }

    public String getSbType()
    {
        return sbType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setHelpStatus(String helpStatus)
    {
        this.helpStatus = helpStatus;
    }

    public String getHelpStatus()
    {
        return helpStatus;
    }
    public void setHandleDept(String handleDept)
    {
        this.handleDept = handleDept;
    }

    public String getHandleDept()
    {
        return handleDept;
    }
    public void setHandleDeptid(Long handleDeptid)
    {
        this.handleDeptid = handleDeptid;
    }

    public Long getHandleDeptid()
    {
        return handleDeptid;
    }
    public void setHandleName(String handleName)
    {
        this.handleName = handleName;
    }

    public String getHandleName()
    {
        return handleName;
    }
    public void setHandleResult(String handleResult)
    {
        this.handleResult = handleResult;
    }

    public String getHandleResult()
    {
        return handleResult;
    }
    public void setHandleReason(String handleReason)
    {
        this.handleReason = handleReason;
    }

    public String getHandleReason()
    {
        return handleReason;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("subName", getSubName())
                .append("subDate", getSubDate())
                .append("phone", getPhone())
                .append("sbType", getSbType())
                .append("title", getTitle())
                .append("content", getContent())
                .append("helpStatus", getHelpStatus())
                .append("handleDept", getHandleDept())
                .append("handleDeptid", getHandleDeptid())
                .append("handleName", getHandleName())
                .append("handleResult", getHandleResult())
                .append("handleReason", getHandleReason())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
